# town

This repository contains custom commands and helper packages for town stuff.

commands:

- `launcher` (invoked on town as `town`), a launcher for various town things (including user contributed commands)
- `request` (invokved on town as `town request-gitea` or `town request-gemini`), a helper command for requesting certain featuers be enabled for your town account
- `stats` (invoked as `town stats`), a command that prints out information about the town and its users in JSON.
- `visit` an experimental command for "visiting" a user.
- `signup` command that powers `ssh join@tilde.town`
- `welcome` command that powers `ssh welcome@tilde.town`
- `review` a TUI for town admins to review signups

There are also sundry helpers and scripts under `cmd/`.

A lot of this behavior (for example, `stats`) is exposed as a library. if you want to make some stuff for town and want to work in Go feel free to import this and use it. 

## TODO

- [ ] consider bringing the launcher's index of commands into this git repo so it can be tracked
- [ ] add a Makefile
